Bug 107526 - 8 bit characters not right in filenames on NFS mounted disks.
8 bit characters not right in filenames on NFS mounted disks.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 21:45 EDT by Richard Allen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-20 03:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2003-10-19 21:45:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030702

Description of problem:
On a severn test 3 box I NFS mount my $HOME and a few other disks.
8 bit characters seem to be badly broken:

On the Server (Red Hat 9 machine):
[ra@morticia dc]$ df .
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hdb1            178100004 141420660  34869944  81% /u0
[ra@morticia dc]$ ll
total 32
drwxr-xr-x    9 ra       users        4096 Sep 30 03:35 books
drwxr-xr-x    3 ra       users        4096 Apr 16  2003 Games
drwxr-xr-x    2 ra       users        4096 Sep 10 08:15 heimildarmyndir
drwxr-xr-x    5 ra       users        4096 Sep  9 13:13 misc
drwxr-xr-x   32 ra       users        4096 Okt 18 23:55 myndir
drwxr-xr-x    3 ra       users        4096 Sep  8 20:57 Orð�abæ�kur
drwxr-xr-x    3 ra       users        4096 Sep  7 05:34 Standup
drwxr-xr-x   14 ra       users        4096 Okt 12 18:59 ��Þættir

Other pre-severn releases handle this OK.

On the fedora core box:

[root@xo dc]# df .
Filesystem           1K-blocks      Used Available Use% Mounted on
morticia.ra.is:/u0   178100004 141420660  34869944  81% /nfs/u0
[root@xo dc]# ll
total 32
drwxr-xr-x    9 ra       users        4096 sep 30 03:35 books
drwxr-xr-x    3 ra       users        4096 apr 16  2003 Games
drwxr-xr-x    2 ra       users        4096 sep 10 08:15 heimildarmyndir
drwxr-xr-x    5 ra       users        4096 sep  9 13:13 misc
drwxr-xr-x   32 ra       users        4096 okt 18 23:55 myndir
drwxr-xr-x    3 ra       users        4096 sep  8 20:57 Or?ab?kur
drwxr-xr-x    3 ra       users        4096 sep  7 05:34 Standup
drwxr-xr-x   14 ra       users        4096 okt 12 18:59 ??ttir

8 bit chars get converted to '?'s there.   Kinda bad headache.
Here's hoping bugzilla doesnt trash the characters...


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount a NFS disk with filenames using 8 bits
2. run ls -l 
3. marvel in filenames with shell wildcards in them ;)
    

Additional info:
Comment 1 Arjan van de Ven 2003-10-20 03:33:36 EDT
NFS does not specify encoding of the characters; Red Hat Linux assumed UTF8 by
default. If you know the encoding you can set it via the LANG environment variable

Note You need to log in before you can comment on or make changes to this bug.